---
search:
  tags:
    - 工具
    - POST
seo:
  description: >-
    使用{input:
    {...}}准备变更。准备操作不会批准或执行发布。准备成功后会返回confirmationCapability和expiresAt；工具失败时仍可能使用HTTP…
sidebar:
  label: 准备变更
  badge: POST
title: 准备变更
type: openapi-operation
---
使用&#123;input: &#123;...&#125;&#125;准备变更。准备操作不会批准或执行发布。准备成功后会返回confirmationCapability和expiresAt；工具失败时仍可能使用HTTP 200。JSON请求上限为65,536字节。

`POST /api/v1/tools/{tool}/prepare`

**请求体** (`application/json`, 必需)

- `input` (object, 必需)

请求体示例:

```json
{
  "input": {
    "property1": "string",
    "property2": "string"
  }
}
```

**响应**

- `200` — 准备结果或工具失败。
- `400` — 请求无效。不接受查询参数。工具验证失败时可能使用工具错误封装结构。
- `401` — Bearer凭据缺失、无效或已过期。
- `403` — 凭据缺少所需权限。
- `404` — 供程序调用的API或请求的工具不可用。
- `413` — 请求超过字节数限制。
- `429` — 已超过速率限制，可以重试请求。
- `503` — API或其上游执行环节不可用。

响应示例, 200:

```json
{
  "confirmationCapability": "stringstringstringstringstringst",
  "expiresAt": "2019-08-24T14:15:22Z",
  "inputDigest": "string",
  "status": "confirmation_required",
  "summary": "string",
  "toolName": "adAuditQuote"
}
```
